## ldapvi 1.7

=== debian/changelog ===
ldapvi (1.7-11.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends: libcrypt-dev. (Closes: #1106924)

 -- Adrian Bunk <bunk@debian.org>  Wed, 03 Dec 2025 10:59:48 +0200

ldapvi (1.7-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation with gcc-14 by returning 0 explicitly when lstat
    returns an error. (Closes: #1075132)

 -- Philipp Kern <pkern@debian.org>  Tue, 01 Oct 2024 16:39:15 +0200

ldapvi (1.7-11) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Avoid using transitional package names.
  * debian/control: Add missing dependency sensible-utils (lintian).
  * debian/patches/07,08: Add patch to fix FTBFS caused by
    Werror=implicit-function-declaration. (Closes: #1066357)

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Apr 2024 11:15:30 -0400

ldapvi (1.7-10) unstable; urgency=medium

  * Update my name/email address.
  * Bump Standards-Version to 3.9.6.
  * Switch to source format 3.0 (quilt).
  * Change to dh style debian/rules.

 -- Rhonda D'Vine <rhonda@debian.org>  Tue, 12 Jan 2016 22:14:49 +0100

ldapvi (1.7-9) unstable; urgency=low

  * Use fileencoding instead of encoding in vim modeline which makes recent
    versions of vim give an error (closes: #688129, #663121)

 -- Gerfried Fuchs <rhonda@debian.org>  Mon, 21 Jan 2013 16:28:10 +0100

ldapvi (1.7-8) unstable; urgency=low

  * Really change libreadline5-dev to libreadline-dev this time
    (closes: #634445). Thanks to Franziska Lichtblau for prodding me.
  * Bump Standards-Version to 3.9.2.
  * Relicense Debian packaging under WTFPLv2.

 -- Gerfried Fuchs <rhonda@debian.org>  Sat, 30 Jul 2011 23:04:19 +0200

ldapvi (1.7-7) unstable; urgency=low

  * Change libreadline5-dev to libreadline-dev (closes: #553795)

 -- Gerfried Fuchs <rhonda@debian.at>  Mon, 02 Nov 2009 20:20:57 +0100

ldapvi (1.7-6) unstable; urgency=low

  * New patch getline-conflict fetched from upstream, renaming the included
    getline function to not conflict with glibc's one (closes: #552868)

 -- Gerfried Fuchs <rhonda@debian.at>  Mon, 02 Nov 2009 08:07:56 +0100

ldapvi (1.7-5) unstable; urgency=low

  * Install doc-base file for the user manual.
  * Add "ldap-conf: yes" to /etc/ldapvi.conf so the ldap.conf file is still
    read and not disabled just because we switch the otherwise paged help off
    (closes: #546602)
  * Add DEP3 tags to the patches.
  * Upgraded to Standards-Version 3.8.3:
    - Add README.source file referencing quilt.
    - Support parallel building.
  * Switched debianization to BSD style.
  * New patch manpage-hyphen which escapes the dashes that aren't meant to be
    hyphens.
  * Explicitly strip .comment section which install -s doesn't do.

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 25 Sep 2009 22:52:30 +0200

ldapvi (1.7-4) unstable; urgency=low

  * Removed Depends on editor, Debian assures itself that there is an editor
    available (closes: #444865)
  * Switch to using quilt instead of patching directly, split into these
    patches:
    - disable-libcrypto: disable libcrypto due to bug/licensing isssues
    - sensible-editor-pager: use sensible-{editor,pager} instead of vi and
      less
    - unpaged-help: the posibility to use an unpaged --help output
  * Add Homepage: to control file.
  * Linked to GPL-2 in copyright file directly, added hint for later versions.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 17 Oct 2007 15:53:38 +0200

ldapvi (1.7-3) unstable; urgency=low

  * Test for GNUmakefile instead of Makefile when cleaning up (closes: #442624)

 -- Gerfried Fuchs <rhonda@debian.at>  Sun, 16 Sep 2007 21:53:15 +0200

ldapvi (1.7-2) unstable; urgency=low

  * s/less/sensible-pager/: use Debian's pager magic instead of hardcoded
    less.
  * Pulled patch for unpaged-help config option from upstream and ship
    systemwide configuration file that sets it (closes: #424978)

 -- Gerfried Fuchs <rhonda@debian.at>  Sat, 28 Jul 2007 21:08:26 +0200

ldapvi (1.7-1) unstable; urgency=low

  * New upstream release which includes the buffer overflow fix.
  * Updated copyright file with current year list.
  * Build manual.html and install only itself and its dependencies.

 -- Gerfried Fuchs <rhonda@debian.at>  Sun, 20 May 2007 00:20:59 +0200

ldapvi (1.6-3) unstable; urgency=high

  * Fixed a buffer overflow in home_filename function which was reported to
    upstream.

 -- Gerfried Fuchs <alfie@debian.org>  Fri, 09 Feb 2007 00:16:48 +0100

ldapvi (1.6-2) unstable; urgency=low

  * Alright, it's called libsasl2-dev now, not libsasl2-2-dev anymore...

 -- Gerfried Fuchs <alfie@debian.org>  Sun, 10 Dec 2006 15:20:32 +0100

ldapvi (1.6-1) unstable; urgency=low

  * New upstream release which supports SASL, UTF-8 and configuration file.
    Requires additional dependencies: libsasl2-2-dev, libreadline5-dev
  * Made the watch file watch again.
  * Don't patch GNUmakefile.in but instead save configure before calling
    distclean.
  * Lowercased synopsis start.
  * Applied patch from upstream to be able to compile without a libcrypto, see
    README.Debian.

 -- Gerfried Fuchs <alfie@debian.org>  Sat, 18 Nov 2006 13:02:21 +0100

ldapvi (1.5-2) unstable; urgency=low

  * Patched misc.c to fall back onto sensible-editor instead of vi, and add
    depends on editor so at least one is available for sure (closes: #367995)
  * Applied replace_not_delete_add.diff to make it work for changing attributes
    which are allowed only once (closes: #374962)
  * Bumped Standards-Version to 3.7.2, no changes required.

 -- Gerfried Fuchs <alfie@debian.org>  Fri, 23 Jun 2006 03:56:36 -0500

ldapvi (1.5-1) unstable; urgency=low

  * New upstream release.
  * Updated watch file to version 3, and make it work again.
  * Bumped Standards-Version to 3.6.2, no changes required.
  * Applied patch from David Lichteblau himself for libldap 2.1, because
    vanilla ldapvi requires libldap 2.2. Thanks!
  * Updated FSF address in copyright file.


