=== debian/control ===
Source: ldapvi
Section: text
Priority: optional
Maintainer: Rhonda D'Vine <rhonda@debian.org>
Build-Depends: debhelper (>= 9~), libcrypt-dev, libldap-dev, libglib2.0-dev, libpopt-dev, libncurses-dev, libsasl2-dev, libreadline-dev, xsltproc
Standards-Version: 3.9.6
Homepage: http://www.lichteblau.com/ldapvi/

Package: ldapvi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sensible-utils
Description: perform an LDAP search and update results using a text editor
 From a first glance ldapvi looks like ldapsearch: You search for entries in
 the ldap database. But the results get opened in your preferred editor, and
 you can change, add or delete entries from there. After you are done you quit
 the editor and ldapvi offers you several options: View your changes as LDIF,
 commit changes or discard them.
